.pathway {
  .container {
    padding: 0;
  }

  .block__bar {
    border-radius: 15px;
    .content {
      a {
        border-radius: 15px;
        font-size: 1.5rem;
        padding: 1.5rem 1.25rem;

        &::after {
          width: 23px;
          height: 18px;
          margin-left: 0.5rem;
          mask-image: url('../../../images/icons/arrow-right.svg')
        }

        &:hover,
        &:focus {
          &:after {
            left: 0.5rem;
          }
        }
      }
    }
  }
}

.landing-page {
  .block__bar {
    margin: 0 calc(50% - 50vw);
  }
}

.block__bar {
  .content {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;

    .contextual-links {
      a {
        color: black !important;
        text-align: left;
        &:after {
          content: none;
        }
      }
    }

    .field {
      display: flex;
      justify-content: center;
      width: 100%;
    }

    a {
      display: inline-block;
      width: 100%;
      padding: 2rem 1.25rem;
      text-align: center;
      font-size: 2rem;
      font-weight: 700;
      text-decoration: none !important;
      color: var(--color-white) !important;

      @media (min-width: 768px) {
        padding: 3rem 0;
      }

      &::after {
        content: "";
        position: relative;
        margin-left: 1rem;
        left: 0;
        display: inline-flex;
        width: 30px;
        height: 22px;
        background-color: currentColor;
        mask-image: url('../../../images/icons/arrow-right-large.svg');
        mask-position: center;
        transition: left cubic-bezier(0.68, -0.6, 0.32, 1.6) .5s;
      }

      &:hover,
      &:focus {
        &::after {
          left: 1rem;
        }
      }
    }
  }
}

.block__bar.purple {
  background-color: var(--csa-purple);
}
.block__bar.teal {
  background-color: var(--csa-teal);
}
.block__bar.green {
  background-color: var(--csa-green);
}
.block__bar.blue {
  background-color: var(--csa-blue);
}
.block__bar.red {
  background-color: var(--csa-red);
}

@keyframes arrow-bounce {
  0% {
    left: 0;
  }
  50% {
    left: 1rem;
  }
  100% {
    left: 0;
  }
}
